Bug 1471228 - Cannot create high quality screen calibration file
Cannot create high quality screen calibration file
Status: NEW
Product: Fedora
Classification: Fedora
Component: colord (Show other bugs)
26
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 14:26 EDT by Paul Finnigan
Modified: 2017-09-12 17:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Finnigan 2017-07-14 14:26:21 EDT
Description of problem:

Go into all settings, color and select screen. Choose calibrate and follow options for High Quality calibration. Low and Medium Quality calibrations work fine selecting the same values for other settings, although there are problems with the resultant .icc profiles in use.


Version-Release number of selected component (if applicable):

colord.x86_64               1.3.5-1.fc26                                                                 
colord-gtk.x86_64           0.1.26-4.fc26                                                                colord-libs.x86_64          1.3.5-1.fc26                                                                 
gnome-color-manager.x86_64  3.24.0-1.fc26

How reproducible:
Every time

Steps to Reproduce:
1. Select Calibrate on Monitor (Lenovo Yoga Pro 3 built in screen)
2. Select High Quality
3. Select LED Display type
4. Select D65 Profile Whitepoint
5. Screen Brightness already set so just press next
6. Use default name (80HE but i have tried others)
7. Follow calibration instructions
8. When calibration ends you are told that it failed.

Actual results:

No screen profile produced

Expected results:

High Quality Screen profile


Additional info:

Errors and messages from the log:

Jul 14 07:49:26 lenovo systemd[1750]: Starting Color management helper...
Jul 14 07:49:26 lenovo dbus-daemon[1772]: [session uid=1000 pid=1772] Successfully activated service 'org.freedesktop.ColorHelper'
Jul 14 07:49:26 lenovo systemd[1750]: Started Color management helper.
Jul 14 07:49:26 lenovo gnome-control-c[2949]: GtkDialog mapped without a transient parent. This is discouraged.
Jul 14 07:49:26 lenovo gnome-control-c[2949]: /var/lib/gdm/.local/share/icc/edid-ace37841a6e8dd394f02d1f8ecca1baa.icc is not usable by this user

...

Jul 14 07:51:31 lenovo colord-session[3011]: steps were set as [ 3, 97, -1 ] but should have been: [ 3, 97, -1 ] at cd-main.c:473
Jul 14 07:52:46 lenovo colord-session[3011]: steps were set as [ 3, 97, -1 ] but should have been: [ 3, 97, -1 ] at cd-main.c:473
Jul 14 07:54:08 lenovo colord-session[3011]: steps were set as [ 3, 97, -1 ] but should have been: [ 3, 97, -1 ] at cd-main.c:473
Jul 14 07:55:40 lenovo colord-session[3011]: steps were set as [ 3, 97, -1 ] but should have been: [ 3, 97, -1 ] at cd-main.c:473
Jul 14 07:56:50 lenovo colord-session[3011]: steps were set as [ 3, 97, -1 ] but should have been: [ 3, 97, -1 ] at cd-main.c:473

...

Jul 14 08:35:08 lenovo colord-session[3011]: steps were set as [ 3, 97, -1 ] but should have been: [ 2, 98, -1 ] at cd-main.c:473
Jul 14 08:35:08 lenovo colord-session[3011]: child is at 19/20 steps and parent done [cd-main.c:786]
Jul 14 08:35:08 lenovo colord-session[3011]: 2) cd-main.c:1339 (0/3)
Jul 14 08:35:08 lenovo colord-session[3011]: 1) cd-main.c:680 (2/5)
Jul 14 08:35:08 lenovo colord-session[3011]: 0) cd-main.c:764 (19/20)
Jul 14 08:35:11 lenovo colord-session[3011]: child is at 19/20 steps and parent done [cd-main.c:798]
Jul 14 08:35:11 lenovo colord-session[3011]: 2) cd-main.c:1339 (0/3)
Jul 14 08:35:11 lenovo colord-session[3011]: 1) cd-main.c:680 (2/5)
Jul 14 08:35:11 lenovo colord-session[3011]: 0) cd-main.c:764 (19/20)
Jul 14 08:35:11 lenovo gnome-control-c[2949]: calibration failed with code 5: Gamma correction table was non-monotonic: 0.000000,0.000000,0.000000 0.091346,0.098215,0.043750 0.0
Jul 14 08:35:11 lenovo gsd-color[1557]: failed to set screen _ICC_PROFILE: Failed to open file “/home/paul/.local/share/icc/Lenovo 80HE (medium) 2017-07-13 19-43-38 color-munki-
Jul 14 08:35:11 lenovo gnome-control-c[2949]: /var/lib/gdm/.local/share/icc/edid-ace37841a6e8dd394f02d1f8ecca1baa.icc is not usable by this user
Jul 14 08:35:11 lenovo gsd-color[1557]: failed to set xrandr-eDP-1 gamma tables: failed to generate vcgt


The final message published would appear to suggest that this may be  a problem with the new xrandr routines for Wayland but I have reported it against color calibration as the code that generates the messages.

Note You need to log in before you can comment on or make changes to this bug.